# Gimp.context_set_sample_transparent

    @accepts(bool)
    @returns(bool)
    def context_set_sample_transparent(sample_transparent):
        # Python wrapper for gimp_context_set_sample_transparent()

Set the sample transparent setting.

Modifies the sample transparent setting. If an operation depends on the colors of the pixels present in a drawable, like when doing a seed fill, this setting controls whether transparency is considered to be a unique selectable color. When this setting is TRUE, transparent areas can be selected or filled.

This setting affects the following procedures: Gimp.Image.select_color, Gimp.Image.select_contiguous_color, Gimp.Drawable.edit_bucket_fill.

Since 2.8

sample_transparent

  The sample transparent setting.

Returns